libnet: in_systm.h Source File

Main Page | Data Structures | File List | Data Fields | Globals

# in_systm.h

    00001 /*
    00002  * Copyright (c) 1982, 1986, 1993
    00003  *  The Regents of the University of California.  All rights reserved.
    00004  *
    00005  * Redistribution and use in source and binary forms, with or without
    00006  * modification, are permitted provided that the following conditions
    00007  * are met:
    00008  * 1. Redistributions of source code must retain the above copyright
    00009  *    notice, this list of conditions and the following disclaimer.
    00010  * 2. Redistributions in binary form must reproduce the above copyright
    00011  *    notice, this list of conditions and the following disclaimer in the
    00012  *    documentation and/or other materials provided with the distribution.
    00013  * 3. All advertising materials mentioning features or use of this software
    00014  *    must display the following acknowledgement:
    00015  *  This product includes software developed by the University of
    00016  *  California, Berkeley and its contributors.
    00017  * 4. Neither the name of the University nor the names of its contributors
    00018  *    may be used to endorse or promote products derived from this software
    00019  *    without specific prior written permission.
    00020  *
    00021  * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
    00022  * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
    00023  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
    00024  * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
    00025  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
    00026  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
    00027  * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
    00028  * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
    00029  * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
    00030  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
    00031  * SUCH DAMAGE.
    00032  *
    00033  *  @(#)in_systm.h  8.1 (Berkeley) 6/10/93
    00034  * $FreeBSD: src/sys/netinet/in_systm.h,v 1.9 1999/12/29 04:41:00 peter Exp $
    00035  */
    00036
    00037 #ifdef _WIN32
    00038 #ifndef _NETINET_IN_SYSTM_H_
    00039 #define _NETINET_IN_SYSTM_H_
    00040
    00041 typedef unsigned char  u_int8_t;
    00042 typedef unsigned short u_int16_t;
    00043 typedef unsigned int   u_int32_t;
    00044 typedef unsigned __int64 u_int64_t;
    00045
    00046 typedef __int64 int64_t;
    00047 typedef int64_t rlim_t;
    00048
    00049
    00050 typedef u_int32_t in_addr_t;
    00051 typedef u_int32_t in_port_t;
    00052
    00053 /*
    00054  * Miscellaneous internetwork
    00055  * definitions for kernel.
    00056  */
    00057
    00058 /*
    00059  * Network types.
    00060  *
    00061  * Internally the system keeps counters in the headers with the bytes
    00062  * swapped so that VAX instructions will work on them.  It reverses
    00063  * the bytes before transmission at each protocol level.  The n_ types
    00064  * represent the types with the bytes in ``high-ender'' order.
    00065  */
    00066 typedef u_int16_t n_short;      /* short as received from the net */
    00067 typedef u_int32_t n_long;       /* long as received from the net */
    00068
    00069 typedef u_int32_t n_time;       /* ms since 00:00 GMT, byte rev */
    00070
    00071 #ifdef _KERNEL
    00072 n_time   iptime __P((void));
    00073 #endif
    00074
    00075 #endif
    00076
    00077 #endif